{
  pkgs,
  src,
  python3Packages,
  ...
}: let
  inherit (python3Packages) gguf numpy;
in
  pkgs.stdenvNoCC.mkDerivation {
    pname = "comfyui-gguf";
    version = "dev-${builtins.toString src.lastModified}";
    src = src;
    propagatedBuildInputs = [
      gguf
      numpy
    ];
    installPhase = ''
      mkdir -p $out
      cp -r * $out/
    '';
  }
